Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.modules
Interface XUpdateQueryService

All Superinterfaces:
  Configurable, Service

    public interface XUpdateQueryService

extends Service

XUpdateQueryService is a `Service` that enables the execution of XUpdate queries within the context of a `Collection` or against a single document stored in a collection.

Method Summary
`long` | `update(java.lang.String commands)` Runs a set of XUpdate operations against the collection.
`long` | `updateResource(java.lang.String id, java.lang.String commands)` Runs a set of XUpdate operations against a resource stored in a collection.

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### update

    long update(java.lang.String commands)
                throws XMLDBException

  Runs a set of XUpdate operations against the collection. All selected documents are to be updated and stored back to the repository.

  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### updateResource

    long updateResource(java.lang.String id,
                        java.lang.String commands)
                        throws XMLDBException

  Runs a set of XUpdate operations against a resource stored in a collection. The resource will be updated in place in the collection.

  Parameters:
    `commands` - The XUpdate commands to use.
    `id` - The ID to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD